Bug 21449 - Switch two-column templates to Bootstrap grid: Circulation part 2
Summary: Switch two-column templates to Bootstrap grid: Circulation part 2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-09-28 14:04 UTC by Owen Leonard
Modified: 2019-02-01 15:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21442: Update two-column templates with Bootstrap grid: Circulation part 1 (23.04 KB, patch)
2018-09-28 15:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21442: Update two-column templates with Bootstrap grid: Circulation part 2 (23.04 KB, patch)
2018-09-28 15:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21449: Update two-column templates with Bootstrap grid: Circulation part 2 (20.76 KB, patch)
2019-01-24 20:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21449: Update two-column templates with Bootstrap grid: Circulation part 2 (20.82 KB, patch)
2019-01-25 19:33 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 21449: Update two-column templates with Bootstrap grid: Circulation part 2 (20.91 KB, patch)
2019-01-27 11:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-09-28 14:04:18 UTC
These two-column circulation templates can be updated to use the Bootstrap grid.

 - circ/bookcount.tt
 - circ/branchoverdues.tt
 - circ/branchtransfers.tt
 - circ/circulation.tt
 - circ/circulation_batch_checkouts.tt
 - circ/offline.tt
Comment 1 Owen Leonard 2018-09-28 15:30:53 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-09-28 15:33:12 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2019-01-24 20:12:16 UTC
Created attachment 84392 [details] [review]
Bug 21449: Update two-column templates with Bootstrap grid: Circulation part 2

This patch modifies several circulation templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths. For each page, test with
the CircSidebar preference both on and off.

 - Catalog -> Search -> Details -> Items -> View item's checkout history
 - Circulation -> Overdues with fines
 - Circulation -> Transfer
 - Circulation -> Patron -> Batch checkout
 - Circulation -> Built-in offline circulation interface
   - Synchronize
   - Pending offline circulation actions
   - Check out
   - Check in
Comment 4 Maryse Simard 2019-01-25 19:33:20 UTC
Created attachment 84428 [details] [review]
Bug 21449: Update two-column templates with Bootstrap grid: Circulation part 2

This patch modifies several circulation templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths. For each page, test with
the CircSidebar preference both on and off.

 - Catalog -> Search -> Details -> Items -> View item's checkout history
 - Circulation -> Overdues with fines
 - Circulation -> Transfer
 - Circulation -> Patron -> Batch checkout
 - Circulation -> Built-in offline circulation interface
   - Synchronize
   - Pending offline circulation actions
   - Check out
   - Check in

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 5 Katrin Fischer 2019-01-27 11:04:58 UTC
Created attachment 84459 [details] [review]
Bug 21449: Update two-column templates with Bootstrap grid: Circulation part 2

This patch modifies several circulation templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths. For each page, test with
the CircSidebar preference both on and off.

 - Catalog -> Search -> Details -> Items -> View item's checkout history
 - Circulation -> Overdues with fines
 - Circulation -> Transfer
 - Circulation -> Patron -> Batch checkout
 - Circulation -> Built-in offline circulation interface
   - Synchronize
   - Pending offline circulation actions
   - Check out
   - Check in

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-01-31 13:37:40 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-01 15:38:39 UTC
Enhancement, will not be backported to 18.11.x series.